<?
#-------------------------------------------------------------#
# This example script is appropriate for PHP 4.1.0 or higher. #
#-------------------------------------------------------------#
// Checks whether id exists.
if(!isset($_POST["ID"])) {
   exit();
}
// Checks whether id was already setted,
// otherwise set it to unix timestamp.
$id = $_POST["ID"];
if($id == -1) {
   $id = "epf_".time();
}

// Prepares directory for uploaded files.
$physPath = substr($_SERVER["SCRIPT_FILENAME"], 0, strrpos($_SERVER["SCRIPT_FILENAME"], "/") + 1);
$uploaddir = $physPath."datastore/";

// Saves epf file.
// Note, that post file-format params are uppercase,
// for exact param declaration, use SDK.
if($_FILES["EPF"]) {
   if(!SaveFile("EPF", addslashes($uploaddir).$id.".epf")) {
      echo "Error:Error occured during EPF save.";
      exit();
   }
}


// Saves png file.
if($_FILES["PNG"]) {
   if(!SaveFile("PNG", addslashes($uploaddir).$id.".png")) {
      echo "Error:Error occured during PNG save.";
      exit();
   }
}

// finally succesful!
echo $id;

function SaveFile($fileFormat, $path){
    return move_uploaded_file($_FILES[$fileFormat]['tmp_name'], $path);
}
?>